# List Transition Requests

Launch stage: GA

`GET /api/2.0/mlflow/transition-requests/list`

Gets a list of all open stage transition requests for the model version.

API scopes: mlflow

## Query parameters

- `name` (string, optional)
  Name of the registered model.
  Example: `search_ads_model`
- `version` (string, optional)
  Version of the model.
  Example: `1`

## Returns

- `requests` (array of object, optional)
  Array of open transition requests.
  - `creation_timestamp` (int64, optional)
    Creation time of the object, as a Unix timestamp in milliseconds.
    Example: `1594437249910`
  - `user_id` (string, optional)
    The username of the user that created the object.
    Example: `jane.doe@example.com`
  - `activity_type` (string, optional)
    Possible values: `APPLIED_TRANSITION`, `REQUESTED_TRANSITION`, `CANCELLED_REQUEST`, `APPROVED_REQUEST`, `REJECTED_REQUEST`, `NEW_COMMENT`, `SYSTEM_TRANSITION`
  - `comment` (string, optional)
    User-provided comment associated with the activity, comment, or transition request.
    Example: `This version is great!`
    Constraints: `[ 1 .. 65535 ] characters`
  - `last_updated_timestamp` (int64, optional)
    Time of the object at last update, as a Unix timestamp in milliseconds.
    Example: `1594437549910`
  - `from_stage` (string, optional)
    Source stage of the transition (if the activity is stage transition related). Valid values are:
     
     * `None`: The initial stage of a model version.
     
     * `Staging`: Staging or pre-production stage.
     
     * `Production`: Production stage.
     
     * `Archived`: Archived stage.
  - `to_stage` (string, optional)
    Target stage of the transition (if the activity is stage transition related). Valid values are:
     
     * `None`: The initial stage of a model version.
     
     * `Staging`: Staging or pre-production stage.
     
     * `Production`: Production stage.
     
     * `Archived`: Archived stage.
  - `system_comment` (string, optional)
    Comment made by system, for example explaining an activity of type `SYSTEM_TRANSITION`. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.
  - `available_actions` (array of string, optional)
    Array of actions on the activity allowed for the current viewer.
    Possible values: `APPROVE_TRANSITION_REQUEST`, `REJECT_TRANSITION_REQUEST`, `CANCEL_TRANSITION_REQUEST`, `EDIT_COMMENT`, `DELETE_COMMENT`
  - `id` (string, optional)
    Unique identifier for the object.
    Example: `6fc74c92704341aaa49e74dcc6031057`

## Response

```json
{
  "requests": [
    {
      "creation_timestamp": 1594437249910,
      "user_id": "jane.doe@example.com",
      "activity_type": "string",
      "comment": "This version is great!",
      "last_updated_timestamp": 1594437549910,
      "from_stage": "string",
      "to_stage": "string",
      "system_comment": "string",
      "available_actions": [
        "string"
      ],
      "id": "6fc74c92704341aaa49e74dcc6031057"
    }
  ]
}
```

